From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 16 December 2007<P>

Exotic_Beauty, about <a href="/blend/wv.cgi?id=2007.12.13.12.58.22379">A Box Of Memories</a>: for about 3 or 4 months now i've been purging. i've cleaned closets and found memories that have been hidden away in the deepest darkest recesses. i can not begin to describe the relief i feel now to have faced them and THROWN them away. cleanly done. yes, it was painful... kinda like having a bad tooth pulled. hurt like hell while it was hurting, hurt even more to excise it, but feels oh so so good now that it is gone! amazingly so.  take care of you.  
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 16 December 2007<P>

Hey there!<BR>
<BR>
Sorry I haven't been around on the board much!<BR>
<BR>
Yeah, those little arrows have been there for a while. The old design had a funky (not in a good way) drop down box for navigation. I keep meaning to make a new page of archive links but haven't gotten around to it yet.<BR>
<BR>
I haven't forgotten the idea of a Christmas gift of editable posts... but soon... I hope...<BR>
<BR>
Congrats to all the front pagers, there was some great stuff.
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 16 December 2007<P>

baby rose: i feel so many things for you dear person. you have such a gift with your writing and i am so glad you joined us here to share with us. i also count it as an honor that you feel enough a part of this community to request prayer. prayer does and can work. good for you that you have that courage and strength to ask.  <BR>
<BR>
having grown up with an alcoholic father, married to an abusive alcoholic/drug dependent man, and professionally dealing with the life and death circumstances that alcohol and alcoholism brings (i'm an ER nurse and worked as an EMT in a previous life when i was young and skinny... haha), i can truly feel for you. i pray peace for your father that he can find outside of drink. i pray for your baby that she is not shaped negatively by this. and, mostly, i pray for the little girl in you that just wants things normal, just normal. i do know how that feels. even at my age the little girl in me still wishes things could have been that way back when.<BR>
<BR>
i urge you to come to some sense of forgiveness for your daddy. mine is gone and has been for a very long time. i will forever be thankful that i found it before he died.  <BR>
<BR>
take care of you.
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 16 December 2007<P>

pams: thanks for the nod earlier in the 'take care of you'.<BR>
<BR>
now, take care of you, too!!!  hugs friend!!
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 16 December 2007<P>

Marshall Hann, about <a href="/blend/wv.cgi?id=2007.12.04.07.09.15296">Rubber Soul</a>: i love love love this title!  
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 16 December 2007<P>

OMG~~~ Kirk, you are a sneaky one!  thanks for the pick. simply made my day/evening!<BR>
<BR>
congrats to everyone for a great month!
<HR>